#include<iostream>
#include<math.h>
#include<vector>
using namespace std;
long n, br = 0;
vector<pair<long, long>> del(long k){
    vector<pair<long, long>> out;
    for(long i=2; i<=sqrt(k); i++){
        if(k%i==0){
            out.push_back({i, k/i});
        }
    }
    return out;
}
int main(){
    cin>>n;
    vector<pair<long, long>> dv;
    dv = del(n);
    br += dv.size();
    long br2 = 0;
    for(long i=0; i<dv.size(); i++){
        ///cout<<dv[i].first<<" "<<dv[i].second<<"\n";
        br2 += del(dv[i].first).size();
        br2 += del(dv[i].second).size();
    }
    ///cout<<br<<"+"<<br2<<"/2+1 = "<<br+br2/2+1;
    cout<<br+br2/2+1;
    return 0;
}
